PHP Manual
Prev |  | Next

# ctype_graph

(PHP 4 >= 4.0.4, PHP 5)

ctype_graph -- Check for any printable character(s) except space

## Description

bool ctype_graph ( string text )

Checks if all of the characters in the provided string, text, creates visible output.

## Parameters

text

  The tested string.

## Return Values

Returns `TRUE` if every character in text is printable and actually creates visible output (no white space), `FALSE` otherwise.

## Examples

Example 1. A ctype_graph() example
`<?php $strings = array('string1' => "asdf\n\r\t", 'string2' => 'arf12', 'string3' => 'LKA#@%.54'); foreach ($strings as $name => $testcase) { if (ctype_graph($testcase)) { echo "The string '$name' consists of all (visibly) printable characters.\n"; } else { echo "The string '$name' does not consist of all (visibly) printable characters.\n"; } } ?>`
The above example will output:
    The string 'string1' does not consist of all (visibly) printable characters.
    The string 'string2' consists of all (visibly) printable characters.
    The string 'string3' consists of all (visibly) printable characters.

## See Also

ctype_alnum()
ctype_print()
ctype_punct()

Prev | Home | Next
ctype_digit | Up | ctype_lower